Index: nagios/objects/commands.cfg
===================================================================
--- nagios/objects/commands.cfg	(revision 264)
+++ nagios/objects/commands.cfg	(revision 303)
@@ -263,3 +263,13 @@
 
 
-
+# 'check-host-alive' command definition (ipv6)
+define command{
+        command_name    check_ping_ipv6
+        command_line    $USER1$/check_ping -6 -H $HOSTNAME$ -w 3000.0,80% -c 5000.0,100% -p 10
+        }
+
+define command{
+        command_name    check_ping_ipv6_addr
+        command_line    $USER1$/check_ping -6 -H $ARG1$ -w 3000.0,80% -c 5000.0,100% -p 10
+        }
+
Index: nagios/objects/templates.cfg
===================================================================
--- nagios/objects/templates.cfg	(revision 264)
+++ nagios/objects/templates.cfg	(revision 303)
@@ -63,4 +63,5 @@
 	notification_options		d,u,r		; Only send notifications for specific host states
 	contact_groups			admins		; Notifications get sent to the admins by default
+        check_command           	check-host-alive ; Default command to check FreeBSD hosts
         register                        0       	; DONT REGISTER THIS DEFINITION - ITS NOT A REAL HOST, JUST A TEMPLATE!
         action_url /pnp4nagios/graph?host=$HOSTNAME$' class='tips' rel='/pnp4nagios/popup?host=$HOSTNAME$
@@ -72,4 +73,5 @@
 	max_check_attempts		10
 	host_name			fritz.box
+	address				192.168.178.1
 }
 
@@ -82,8 +84,9 @@
 }
 
-# FreeBSD host definition template - This is NOT a real host, just a template!
-define host{
-	name				freebsd-server	; The name of this host template
-	parents				ns.xs4all.nl
+
+# freebsd host definition template - this is not a real host, just a template!
+define host{
+	name				freebsd-server  ; the name of this host template
+	parents				ns.xs4all.nl	; HACK to avoid spams
 	use				generic-host	; This template inherits other values from the generic-host template
 	check_period			24x7		; By default, FreeBSD hosts are checked round the clock
@@ -91,8 +94,6 @@
 	retry_interval			1		; Schedule host check retries at 1 minute intervals
 	max_check_attempts		10		; Check each FreeBSD host 10 times (max)
-        check_command           	check-host-alive ; Default command to check FreeBSD hosts
 	register			0		; DONT REGISTER THIS DEFINITION - ITS NOT A REAL HOST, JUST A TEMPLATE!
 	}
-
 
 
Index: nagios/objects/vanderzwet.net.cfg
===================================================================
--- nagios/objects/vanderzwet.net.cfg	(revision 264)
+++ nagios/objects/vanderzwet.net.cfg	(revision 303)
@@ -25,4 +25,5 @@
 define host{
         use		freebsd-server
+	parents		
         host_name       buzz.vanderzwet.net
 }
@@ -35,12 +36,10 @@
 define host {
 	use		freebsd-server
-	host_name	wiki.lorentzschool.nl
-	address		145.102.33.45
-}
-
-define host {
-	use		freebsd-server
-	host_name	wiki2.lorentzschool.nl
-	address		145.102.33.46
+	host_name	alpina.lorentzschool.nl
+}
+
+define host {
+	use		freebsd-server
+	host_name	broom.lorentzschool.nl
 }
 
@@ -82,5 +81,5 @@
         hostgroup_name  vanderzwet.net
         alias           Rick van der Zwet - FreeBSD Servers
-        members         buzz.vanderzwet.net,zweot.vanderzwet.net,riff.vanderzwet.net,roel.vanderzwet.net,wifisoft.vanderzwet.net
+        members         buzz.vanderzwet.net,zweot.vanderzwet.net,riff.vanderzwet.net,roel.vanderzwet.net,wifisoft.vanderzwet.net,pzwet.vanderzwet.net
         }
 
@@ -88,5 +87,5 @@
         hostgroup_name  lorentzschool.nl
         alias           Lorentzschool education servers - FreeBSD Servers
-        members         wiki.lorentzschool.nl,wiki2.lorentzschool.nl
+        members         alpina.lorentzschool.nl,broom.lorentzschool.nl
         }
 
@@ -111,5 +110,5 @@
 define service{
         use                             local-service
-	host_name			!siteview.wirelessleiden.nl
+	host_name			!siteview.wirelessleiden.nl,fritz.box,!sunfire.wirelessleiden.nl,CNodeZwet.wleiden.net
         hostgroup_name			vanderzwet.net,wirelessleiden.nl,lorentzschool.nl
         service_description             HTTP
@@ -117,4 +116,13 @@
 	notifications_enabled		1
         }
+
+define service{
+        use                             local-service
+	host_name			sunfire.wirelessleiden.nl
+        service_description             HTTP /buildbot/
+	check_command			check_http!-u /buildbot/
+	notifications_enabled		1
+        }
+
 
 define service{
@@ -129,5 +137,5 @@
 define service{
         use                             local-service
-	host_name			siteview.wirelessleiden.nl,buzz.vanderzwet.net,tyan.wirelessleiden.nl,zweot.vanderzwet.net
+	host_name			siteview.wirelessleiden.nl,buzz.vanderzwet.net,tyan.wirelessleiden.nl,zweot.vanderzwet.net,ns.xs4all.nl
         service_description             DNS 
 	check_command			check_dns
@@ -195,4 +203,11 @@
         }
 
+define service {
+	use				local-service
+	host_name			siteview.wirelessleiden.nl
+	service_description		Interface usage em0
+	check_command			check_snmp_int!em0
+	notifications_enabled		0
+}
 
 define service {
@@ -222,4 +237,12 @@
 define service {
 	use				local-service
+	host_name			tyan.wirelessleiden.nl
+	service_description		Interface usage bge1
+	check_command			check_snmp_int!bge1
+	notifications_enabled		0
+}
+
+define service {
+	use				local-service
 	host_name			zweot.vanderzwet.net
 	service_description		NTP Server
@@ -234,2 +257,18 @@
 }
 
+define service {
+	use				local-service
+	host_name			buzz.vanderzwet.net,zweot.vanderzwet.net,riff.vanderzwet.net
+	service_description		ICMP under IPv6
+	check_command			check_ping_ipv6
+}
+
+define service {
+	use				local-service
+	host_name			tyan.wirelessleiden.nl
+	service_description		ICMP under IPv6
+	check_command			check_ping_ipv6_addr!2001:610:600:850::1
+}
+
+
+