Index: /dashboard/occ2011-dashboard.html
===================================================================
--- /dashboard/occ2011-dashboard.html	(revision 326)
+++ /dashboard/occ2011-dashboard.html	(revision 326)
@@ -0,0 +1,187 @@
+<html>
+<head>
+<title>Open Community Camp 2011 - Live Page</title>
+<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js" type="text/javascript"></script>
+<script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.14/jquery-ui.min.js" type="text/javascript"></script>
+<script src="http://flesler-plugins.googlecode.com/files/jquery.scrollTo-1.4.2-min.js" type="text/javascript"></script>
+<script src="http://flesler-plugins.googlecode.com/files/jquery.localscroll-1.2.7-min.js" type="text/javascript"></script>
+
+<link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.14/themes/base/jquery-ui.css" type="text/css" media="all" />
+  
+<script type="text/javascript">
+  $(function() {
+    $( "#tab-set" ).tabs();
+  });
+
+  $(document).ready(function(){
+    $(".tab-set").tabs();
+    if($("#tab-set") && document.location.hash){
+  		$("#tab-set").scrollTo("#tab-set");
+  	}
+    $("#tab-set").localScroll({ 
+      target:"#tab-set",
+      hash: true,
+      duration : 0,
+    });
+  });
+</script>
+
+</head>
+<body>
+
+<div class="demo">
+
+<div id="tab-set">
+  <ul>
+    <li><a href="#main">Main Page</a></li>
+    <li><a href="#telex">IRC Telex</a></li>
+    <li><a href="#noc">NOC</a></li>
+    <li><a href="#webcam">Live WebCams</a></li>
+  </ul>
+  <div id="main">
+    <table>
+    <caption><h3>Join in! Use hashtag #occ2011</h3></caption>
+    <tr><td colspan="3">
+    <!-- Start of Flickr Badge -->
+    <style type="text/css">
+    #flickr_badge_source_txt {padding:0; font: 11px Arial, Helvetica, Sans serif; color:#666666;}
+    #flickr_badge_icon {display:block !important; margin:0 !important; border: 1px solid rgb(0, 0, 0) !important;}
+    #flickr_icon_td {padding:0 5px 0 0 !important;}
+    .flickr_badge_image {text-align:center !important;}
+    .flickr_badge_image img {border: 1px solid black !important;}
+    #flickr_www {display:block; padding:0 10px 0 10px !important; font: 11px Arial, Helvetica, Sans serif !important; color:#3993ff !important;}
+    #flickr_badge_uber_wrapper a:hover,
+    #flickr_badge_uber_wrapper a:link,
+    #flickr_badge_uber_wrapper a:active,
+    #flickr_badge_uber_wrapper a:visited {text-decoration:none !important; background:inherit !important;color:#3993ff;}
+    #flickr_badge_wrapper {background-color:#ffffff;border: solid 1px #000000}
+    #flickr_badge_source {padding:0 !important; font: 11px Arial, Helvetica, Sans serif !important; color:#666666 !important;}
+</style>
+<style type="text/css">
+.titlec {
+font-size: small;
+}
+ul.videos li {
+float: left;
+width: 10em;
+margin-bottom: 1em;
+}
+ul.videos
+{
+margin-bottom: 1em;
+padding-left : 0em;
+margin-left: 0em;
+list-style: none;
+}
+</style>
+
+<table id="flickr_badge_uber_wrapper" cellpadding="0" cellspacing="10" border="0"><tr><td><a href="http://www.flickr.com" id="flickr_www">www.<strong style="color:#3993ff">flick<span style="color:#ff1c92">r</span></strong>.com</a><table cellpadding="0" cellspacing="10" border="0" id="flickr_badge_wrapper">
+<script type="text/javascript" src="http://www.flickr.com/badge_code_v2.gne?count=5&display=latest&size=m&layout=h&source=all_tag&user=70375122%40N00&tag=occ2011"></script>
+</table>
+</td></tr></table>
+<!-- End of Flickr Badge -->
+</td>
+</tr><tr>
+<td>
+<script src="http://widgets.twimg.com/j/2/widget.js"></script>
+<script>
+new TWTR.Widget({
+version: 2,
+type: 'search',
+search: '#occ2011',
+interval: 6000,
+title: 'Open Community Camp 2011',
+subject: 'http://opencommunitycamp.org',
+width: 300,
+height: 300,
+theme: {
+shell: {
+  background: '#8ec1da',
+  color: '#ffffff'
+},
+tweets: {
+  background: '#ffffff',
+  color: '#444444',
+  links: '#1985b5'
+}
+},
+features: {
+scrollbar: true,
+loop: true,
+live: true,
+hashtags: true,
+timestamp: true,
+avatars: true,
+toptweets: true,
+behavior: 'all'
+}
+}).render().start();
+</script>
+</td>
+<td>
+<div style="background-color: #00FFFF;width:647px;height:400px">
+<iframe src="http://webchat.freenode.net?randomnick=1&channels=occ&uio=d4" width="647" height="400"></iframe>
+</div>
+</td>
+<td>
+<div id="playerContainer" style="width: 20em; height: 180px;float: left;">
+<object id="player"></object>
+</div>
+<div id="videos2"></div>
+<script type="text/javascript" src="http://swfobject.googlecode.com/svn/trunk/swfobject/swfobject.js"></script>
+<script type="text/javascript">
+function loadVideo(playerUrl, autoplay) {
+swfobject.embedSWF(
+  playerUrl + '&rel=1&border=0&fs=1&autoplay=' + 
+  (autoplay?1:0), 'player', '290', '250', '9.0.0', false, 
+  false, {allowfullscreen: 'true'});
+}
+
+function showMyVideos2(data) {
+var feed = data.feed;
+var entries = feed.entry || [];
+var html = ['<ul class="videos">'];
+for (var i = 0; i < entries.length; i++) {
+var entry = entries[i];
+var title = entry.title.$t.substr(0, 20);
+var thumbnailUrl = entries[i].media$group.media$thumbnail[0].url;
+var playerUrl = entries[i].media$group.media$content[0].url;
+html.push('<li onclick="loadVideo(\'', playerUrl, '\', true)">',
+	  '<span class="titlec">', title, '...</span><br /><img src="', 
+	  thumbnailUrl, '" width="130" height="97"/>', '</span></li>');
+}
+html.push('</ul><br style="clear: left;"/>');
+document.getElementById('videos2').innerHTML = html.join('');
+if (entries.length > 0) {
+loadVideo(entries[0].media$group.media$content[0].url, false);
+}
+}
+</script>
+<script 
+type="text/javascript"
+src="https://gdata.youtube.com/feeds/api/videos?strict=true&max-results=10&category=occ2011&alt=json-in-script&callback=showMyVideos2">
+</script>
+</td>
+</tr></table>
+
+</div>
+<div id="telex">
+<table><tr><td>
+<iframe src="http://webchat.freenode.net?randomnick=1&channels=occ&uio=d4" width="647" height="400"></iframe></td><td>
+<img src="http://live.occ2011.org:9999/cam4/video" />
+</td></tr>
+</table>
+</div>
+<div id="noc">
+<iframe src="http://noc.occ2011.org" width="100%" height="100%"></iframe>
+</div>
+<div id="webcam">
+<iframe src="http://live.occ2011.org" width="100%" height="100%"></iframe>
+</div>
+</div>
+
+</div>
+
+
+</body>
+</html>
Index: /dashboard/occ2011-noc.html
===================================================================
--- /dashboard/occ2011-noc.html	(revision 326)
+++ /dashboard/occ2011-noc.html	(revision 326)
@@ -0,0 +1,51 @@
+<html>
+<head>
+<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js" type="text/javascript"></script>
+<script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.14/jquery-ui.min.js" type="text/javascript"></script>
+<script src="http://flesler-plugins.googlecode.com/files/jquery.scrollTo-1.4.2-min.js" type="text/javascript"></script>
+<script src="http://flesler-plugins.googlecode.com/files/jquery.localscroll-1.2.7-min.js" type="text/javascript"></script>
+
+<link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.14/themes/base/jquery-ui.css" type="text/css" media="all" />
+  
+<script type="text/javascript">
+  $(function() {
+    $( "#tab-set" ).tabs();
+  });
+
+  $(document).ready(function(){
+    $(".tab-set").tabs();
+    if($("#tab-set") && document.location.hash){
+  		$("#tab-set").scrollTo("#tab-set");
+  	}
+    $("#tab-set").localScroll({ 
+      target:"#tab-set",
+      hash: true,
+      duration : 0,
+    });
+  });
+</script>
+
+</head>
+<body>
+
+<div class="demo">
+
+<div id="tab-set">
+  <ul class="tabs">
+    <li><a href="#overview">Overview</a></li>
+    <li><a href="#nagios">Nagios</a></li>
+    <li><a href="#smokeping">Smokeping</a></li>
+  </ul>
+  <div id="overview">
+    <iframe src="/nagios/cgi-bin/status.cgi?host=all&noheader=1" width="100%" height="50%"></iframe>
+    <iframe src="/smokeping/smokeping.cgi" width="100%" height="50%"></iframe>
+  </div>
+  <div id="nagios">
+    <iframe src="/nagios/" width="100%" height="100%"></iframe>
+  </div>
+  <div id="smokeping">
+    <iframe src="/smokeping/smokeping.cgi" width="100%" height="100%"></iframe>
+  </div>
+</div>
+</body>
+</html>