Index: py-tcpmultiplexer/htdocs/room1.html
===================================================================
--- py-tcpmultiplexer/htdocs/room1.html	(revision 331)
+++ py-tcpmultiplexer/htdocs/room1.html	(revision 332)
@@ -36,8 +36,21 @@
   }
 
-  $(document).ready(function(){
- //   changeVideo('/cam7/video');
-    changeAudio('/cam7/audio');
-  });
+  var runningPresentation = false;
+  function changePresentation()
+  {
+    if (runningPresentation) {
+      $("#player").attr("src", '/img/logo.png');
+      $("#screen").attr("src", '/img/logo.png');
+      changeAudio('');
+      runningPresentation = false;
+      $("#togglePresentation").attr('value',"Start Presentation");
+    } else {
+      $("#player").attr("src", '/cam6/video');
+      $("#screen").attr("src", '/cam7/video');
+      changeAudio('/cam7/audio');
+      runningPresentation = true;
+      $("#togglePresentation").attr('value',"Stop Presentation");
+    }
+  }
 
 </script>
@@ -45,78 +58,29 @@
 </head>
 <body>
-
-<!--
-<h1>py-tcpmultiplexer webcam server - Room 1</h1>
-<div>
-<table>
-<tr><td>Select WebCam:</td><td>
-<input type="radio" name="cam" value="img/logo.png" checked="checked">None</input>
-<input type="radio" name="cam" value="/cam1/video">RepRap</input>
-<input type="radio" name="cam" value="/cam2/video">Room_A</input>
-<input type="radio" name="cam" value="/cam3/video">Kitchen</input>
-<input type="radio" name="cam" value="/cam4/video">Occ_telex</input>
-<input type="radio" name="cam" value="/cam5/video">Rick_cam</input>
-<input type="radio" name="cam" value="/cam6/video">Presentation</input>
-<input type="radio" name="cam" value="/cam7/video">Mobile</input>
-</td></tr>
-<tr><td>Select Audio:</td><td>
-<input type="radio" name="sound" value="none" checked="checked" >None</input>
-<input type="radio" name="sound" value="/cam1/audio">Cam1</input>
-<input type="radio" name="sound" value="/cam7/audio">Cam7</input>
-</td></tr>
-</table>
-
-<script type="text/javascript">
-  $("input[name='cam']").change(function () {
-      changeVideo($("input[name='cam']:checked").val());
-  });
-  $("input[name='sound']").change(function () {
-      changeAudio($("input[name='sound']:checked").val());
-  });
-</script>
-
--->
-
-<table border="2" width="100%">
+<table border="2" width="100%" height="100%">
 <tr>
-  <td>
-    <img id="logo" src="http://wifisoft.org/svn/logo/WifiSoft_logo.jpg" width="50px"/>
-    <img id="player" width="200px" src="/cam7/video"  alt="Video feeds" border="1"/><br />
-    <input type="button" OnClick="flipImages()" value="Switch view" />
+  <td height="200px" width="450px" style="background: url(http://wifisoft.org/svn/logo/WifiSoft_logo.jpg);">
+    <img id="player" width="200px" src="/img/logo.png"  alt="Video feeds" border="1"/><br />
+    <input type="button" id="togglePresentation" OnClick="changePresentation()" value="Start Presentation" />
+    <input type="button" id="toggleCamera" OnClick="flipImages()" value="Switch Camera's" />
   </td>
-  <td rowspan="2">
-    <img id="screen" width="100%" src="/cam6/video" alt="Presentation" border="1"/>
+  <td rowspan="2" style="background: url(http://wifisoft.org/svn/logo/WifiSoft_logo.jpg) no-repeat;">
+    <img id="screen" height="100%" src="/img/logo.png" alt="Presentation" border="1"/>
   </td>
 </tr>
 <tr>
   <td>
-  <iframe src="http://webchat.freenode.net?randomnick=1&channels=occ&uio=d4" width="100%" height="400"></iframe>
+  <iframe src="http://webchat.freenode.net?&channels=occ&uio=d4" width="100%" height="100%"></iframe>
+  </td>
+</tr>
+<tr>
+  <td colspan="2">
+<p>Tested browsers: <a href="http://www.firefox.com">Mozilla Firefox</a>, <a href="http://www.google.com/chrome">Google Chrome</a> (<em>If no video appear below, you are using unsupported browser</em>)<br />
+<small>Source Code at: <a href="http://rickvanderzwet.nl/svn/personal/py-tcpmultiplexer/">http://rickvanderzwet.nl/svn/personal/py-tcpmultiplexer/</a> build @ <a href="http://opencommunitycamp.org">#occ2011</a> - feedback/comments at <a href="irc://irc.freenode.net/#occ">#occ</a></small>
   </td>
 </tr>
 </table>
-</div>
 
 <div id="jplayer" />
-
-
-<!--
-
-<hr />
-<p>Tested browsers: <a href="http://www.firefox.com">Mozilla Firefox</a>, <a href="http://www.google.com/chrome">Google Chrome</a> (<em>If no video appear below, you are using unsupported browser</em>)<br />
-<small>Source Code at: <a href="http://rickvanderzwet.nl/svn/personal/py-tcpmultiplexer/">http://rickvanderzwet.nl/svn/personal/py-tcpmultiplexer/</a> build @ <a href="http://opencommunitycamp.org">#occ2011</a> - feedback/comments at <a href="irc://irc.freenode.net/#occ">#occ</a></small>
-
-<p />
-Example stream creation from Webcam or Buildin Camera:
-<table border="1">
-<tr><td>Linux</td><td>:</td><td><tt>vlc -I http v4l:///dev/video0 --sout='#transcode{vcodec=MJPG}:standard{access=http{mime=multipart/x-mixed-replace;boundary=--7b3cc56e5f51db803f790dad720ed50a},mux=mpjpeg,dst=0.0.0.0:9000/webcam}}'</tt>
-</td></tr>
-<tr><td>Mac</td><td>:</td><td><tt>/Applications/VLC.app/Contents/MacOS/VLC qtcapture://  --sout='#transcode{vcodec=MJPG,vfilter=canvas{width=640,height=480}}:standard{access=http{mime=multipart/x-mixed-replace;boundary=--7b3cc56e5f51db803f790dad720ed50a},mux=mpjpeg,dst=0.0.0.0:9000/webcam}}'</tt>
-</td></tr>
-<tr><td>Windows</td><td>:</td><td><tt>???</tt></td></tr>
-<tr><td>iPhone</td><td>:</td><td><tt>???</tt></td></tr>
-<tr><td>Android</td><td>:</td><td><tt><a href="https://market.android.com/details?id=com.pas.webcam">IP Webcam</a></tt></td></tr>
-</table>
--->
-
 </body>
 </html>